package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 订单状态 WAIT_PAY 待支付 PAYING 支付中  PAID 已付款 CLOSE 已关闭
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum OrderStatusEnum implements BaseEnum<String, OrderStatusEnum> {
    WAIT_PAY("待支付"),
    PAYING("支付中"),
    PAID("已付款"),
    CLOSE("已关闭"),
    FAIL("支付失败"),
    ;
    @EnumValue
    private String code;
    private String msg;

    OrderStatusEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
